incubator-ooo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Marcus (OOo)" <marcus.m...@wtnet.de>
Subject Re: [BZ] Please change some default values when creating new issues
Date Tue, 06 Mar 2012 20:48:41 GMT
Am 03/06/2012 12:54 AM, schrieb Marcus (OOo):
> Am 03/05/2012 11:04 PM, schrieb Rob Weir:
>> On Thu, Mar 1, 2012 at 5:11 PM, Marcus (OOo)<marcus.mail@wtnet.de> wrote:
>>> Hi,
>>>
>>> please can a BZ admin change the default version when creating new
>>> issue to
>>> a more senseful value?
>>>
>>> "version58" --> "AOO-dev" or "OOo 3.3"
>>>
>>
>> What would you make the default? Whichever you do, it will be wrong
>> for some bugs. Maybe 3.3 makes more sense, since users of 3.4 dev
>> builds presumably can be trusted to override the default themselves.
>
> When you ask this way, then the most recent and official version would
> be best: OOo 3.3.
>
> But honestly, "version58" is the worst pre-setting as it doesn't exist
> for OOo and I don't know for what it was ever used.

I hope this is explaination enough to get it changed. ;-)

>> In any case, there is no admin setting for default versions. The
>> closest I've seen is setting versions via this QA form;
>>
>> http://www.openoffice.org/qa/issue_handling/submission_gateway.html
>
> The webpage may a problem for itself, yes, but not the main one. From BZ
> itself you can create new issues with this pre-defined version. See:
>
> https://issues.apache.org/ooo/
>
> and just click on "Chart".
>
> So, IMHO there has to be a setting to define the default version to
> present in this input mask.
>
>> I think adding a&version=foo to the submissions would set a default.
>
> Good hint, that's working perfect. :-)
>
>> But in general that gateway form is in bad shape. It is hardcoded a
>> lot of legacy default assignments that are incorrect.
>>
>> This is a good project for someone who can give a couple of hours.
>
> Right.

I'll try to improve this a bit. But it will take a bit time.

>>> Furthermore, the version item "AOO-dev" seems not available for all
>>> products. Could this be changed please?
>>
>> Do you know off hand which ones are missing? Or even better, if you
>> enter a defect in BZ classified under www/AOO Bugzilla, that will
>> ensure I don't forget your request.
>
> I've not looked into details but will try do so tomorrow. Then I can
> give you a BZ issue.

Done with "https://issues.apache.org/ooo/show_bug.cgi?id=119028". I've 
set you on CC.

Marcus

Mime
View raw message